package cz.vutbr.feec.gui;

import javafx.scene.image.Image;

public class AccidentInCanvas {
	private AccidentCanvas accidentCanvas;
	public AccidentCanvas getAccidentCanvas() {
		return accidentCanvas;
	}
	
	private int positionX;
	private int positionY;
	private int sizeX;
	private int sizeY;
	private Image image;
	
	public AccidentInCanvas(int posX, int posY, int sizeX, int sizeY, Image img, boolean accessible, AccidentCanvas oc){
		this.positionX = posX;
		this.positionY = posY;
		this.sizeX = sizeX;
		this.sizeY = sizeY;
		this.accidentCanvas = oc;
		this.image = img;
	}

	public int getPositionX() {
		return positionX;
	}

	public int getPositionY() {
		return positionY;
	}

	public int getSizeX() {
		return sizeX;
	}

	public int getSizeY() {
		return sizeY;
	}

	public Image getImage() {
		return image;
	}

	public void setImage(Image image) {
		this.image = image;
	}
}